0

Disable the temando module-shipping-m2 then i got error magento 2.2.6

-bash-4.2$ /opt/plesk/php/7.1/bin/php bin/magento setup:di:compile
    Compilation was started.
    Proxies code generation... 0/7 [>-------------]  14% < 1 sec 62.0 MiBPHP Fatal error:  Declaration of Temando\Shipping\Model\ResourceModel\Packaging\Collection::fetchData() must be compatible with Temando\Shipping\Model\ResourceModel\Webservice\Collection::fetchData(Magento\Framework\Api\SearchCriteriaInterface $criteria) in /var/www/html/####/httpdocs/###/vendor/temando/module-shipping-m2/Model/ResourceModel/Packaging/Collection.php on line 21
    -bash-4.2$ 

in /var/www/html/####/httpdocs/###/vendor/temando/module-shipping-m2/Model/ResourceModel/Packaging/Collection.php on line 21

  • try to change the php version – Pramod Sep 7 '20 at 10:13
  • my php version is 7.1.33 – KGR Sep 7 '20 at 10:25
0

try to following way..

rm -rf vendor/* <br>
composer update

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.